<?php

/**
 * Plugin CIBLOC
 * @copyright 2018 MTECT
 * @author Christophe IMBERTI (cf. CPI art L121-1)
 * @license GNU/GPLv3
 */

if (!defined(
	'_ECRIRE_INC_VERSION'
)) {
	return;
}

include_spip('inc/cibloc_commun');

function cibloc_config_liste_bouton($arg = '') {
	$liste = '';
	$liste_vide = '';
	$border = '';
	$libelle = '';
	$class = '';
	$classvide = '';
	$i = 0;
	$fond_en_couleur = _T('cibloc:fond_en_couleur');
	$fond_transparent = _T('cibloc:fond_transparent');

	$libelle_configurer = '[' . _T('cibloc:configurer_le_bouton') . ']';
	if (cibloc_imposer_parametrage('bouton')) {
		$libelle_configurer = '[' . _T('cibloc:voir_config_bouton') . ']';
	}

	$tableau_elements = cibloc_configuration_des_boutons();

	foreach ($tableau_elements as $element => $valeurs) {

		if ($element == 'bouton_defaut' or $element == 'bouton_defautvide') {
			$libelle = _T('cibloc:couleur_par_defaut');
		} else {
			$libelle = substr($element, 7);
			if (substr($libelle, -4) == 'vide') {
				$libelle = substr($libelle, 0, -4);
			}
		}

		if (isset($valeurs['statut'])) {
			$statut = $valeurs['statut'];
		} else {
			$statut = 'active';
		}

		$libelle_statut = _T('cibloc:statut_' . $statut);

		$class = 'cibtn cibtn-' . substr($element, 7);

		if (isset($valeurs['couleur_bouton'])) {
			$couleur_fond = cibloc_couleur_fond_pour_constraster(cibloc_couleur_hexa($valeurs['couleur_bouton']));
			$style_div = '';
			if ($couleur_fond) {
				$style_div = ' style="background-color:' . $couleur_fond . ';"';
			}
		}

		$url = generer_url_ecrire('cibloc_config_bouton', 'type_et_id=' . $element);

		if (substr($element, -4) != 'vide') {
			$liste .= '<tr>';
			$liste .= '<td class="titre" scope="col" ' . $style_div . '><span class="' . $class . '"><a href="' . $url . '">' . $libelle . '</a></span></td>';
			$liste .= '<td class="actif" scope="col">' . $libelle_statut . '</td>';
			$liste .= '<td class="action" scope="col"><a href="' . $url . '">' . $libelle_configurer . '</a></td>';
			$liste .= '</tr>';
		} else {
			$liste_vide .= '<tr>';
			$liste_vide .= '<td class="titre" scope="col" ' . $style_div . '><span class="' . $class . '"><a href="' . $url . '">' . $libelle . '</a></span></td>';
			$liste_vide .= '<td class="actif" scope="col">' . $libelle_statut . '</td>';
			$liste_vide .= '<td class="action" scope="col"><a href="' . $url . '">' . $libelle_configurer . '</a></td>';
			$liste_vide .= '</tr>';
		}

		$i++;
	}

	return '<table class="spip liste">
        <caption><strong class="caption">' . _T('cibloc:liste_bouton') . '</strong></caption>
	<thead>
		<tr class="first_row">
			<th class="titre" scope="col" style="width: 50%;">' . _T('cibloc:bouton') . '</th>
			<th class="titre" scope="col" style="width: 20%;">' . _T('cibloc:statut') . '</th>
			<th class="action" scope="col" style="width: 30%;">' . _T('cibloc:action') . '</th>
		</tr>
	</thead>
	<tbody>'
	. $liste . $liste_vide .
	'   </tbody>
    </table>';
}
